Update Memory
curl --request PATCH \
--url https://api.memoram.app/api/v1/memory-blobs/{blobId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memoryKey": "<string>",
"content": "<string>",
"title": "<string>",
"summary": "<string>",
"tags": [
"<string>"
],
"importance": 123,
"confidence": 123,
"source": "<string>"
}
'import requests
url = "https://api.memoram.app/api/v1/memory-blobs/{blobId}"
payload = {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memoryKey": "<string>",
"content": "<string>",
"title": "<string>",
"summary": "<string>",
"tags": ["<string>"],
"importance": 123,
"confidence": 123,
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
memoryKey: '<string>',
content: '<string>',
title: '<string>',
summary: '<string>',
tags: ['<string>'],
importance: 123,
confidence: 123,
source: '<string>'
})
};
fetch('https://api.memoram.app/api/v1/memory-blobs/{blobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"title": "<string>",
"summary": "<string>",
"importance": 123,
"confidence": 123,
"tags": [
"<string>"
],
"tag_ids": [
"<string>"
]
}Memory Management
Update Memory
Update specific fields of an existing memory blob. Requires user’s ID and Memory Key. Only include fields to be modified in the request body.
PATCH
/
memory-blobs
/
{blobId}
Update Memory
Update specific fields of an existing memory blob. Requires the user’s ID and Memory Key for verification and potential re-encryption.
Only include fields in the request body that you wish to modify. Sending a
tags array replaces the existing tags entirely.
Authorization
RequiresBearer token authentication using your Developer JWT.Authorizations
JWT token obtained via /auth/token endpoint.
Path Parameters
The unique ID of the memory blob to update.
Body
application/json
Only include fields you wish to update.
User's unique ID (required for identification).
User's memory key (required for verification/encryption).
New memory content (plaintext or pre-encrypted).
Replaces existing tags entirely with this list.
Response
Memory blob updated successfully.
⌘I